/** @format */

import Vue from "vue";
import App from "./App";
import store from "./store"; // store
import plugins from "./plugins"; // plugins
import "./permission"; // permission
import uView from "@/uni_modules/uview-ui";
import config from "./config";

Vue.use(plugins);

Vue.config.productionTip = false;
Vue.prototype.$store = store;

App.mpType = "app";

const app = new Vue({
  ...App,
});
Vue.prototype.$baseUrl = config.baseUrl;
// main.js
Vue.use(uView);

app.$mount();
